org.multiverse.api.references

## Interface TxnRefFactory

All Known Subinterfaces:
  GammaTxnRefFactory

    public interface TxnRefFactory

A Factory for creating references.

### Method Summary

Methods
`TxnBoolean` `newTxnBoolean(boolean value)` Creates a committed TxnBoolean.
`TxnDouble` `newTxnDouble(double value)` Creates a committed TxnDouble.
`TxnInteger` `newTxnInteger(int value)` Creates a committed TxnInteger.
`TxnLong` `newTxnLong(long value)` Creates a committed TxnLong.
`<E> TxnRef<E>` `newTxnRef(E value)` Creates a committed TxnRef.

### Method Detail

#### newTxnRef

    <E> TxnRef<E> newTxnRef(E value)

Creates a committed TxnRef.

Parameters:
  `value` - the initial value.
Returns:
  the created TxnRef.

#### newTxnInteger

    TxnInteger newTxnInteger(int value)

Creates a committed TxnInteger.

Parameters:
  `value` - the initial value.
Returns:
  the created TxnInteger.

#### newTxnBoolean

    TxnBoolean newTxnBoolean(boolean value)

Creates a committed TxnBoolean.

Parameters:
  `value` - the initial value.
Returns:
  the created TxnBoolean.

#### newTxnDouble

    TxnDouble newTxnDouble(double value)

Creates a committed TxnDouble.

Parameters:
  `value` - the initial value.
Returns:
  the created TxnDouble.

#### newTxnLong

    TxnLong newTxnLong(long value)

Creates a committed TxnLong.

Parameters:
  `value` - the initial value.
Returns:
  the created TxnLong.